/*====================================================================
		rmisc.c

		rFunc InterBase UDF library.
		Miscellaneous functions.

		Copyright 1998-2001 Polaris Software
		http://polesoft.da.ru
		mailto: rFunc@mail.ru

		Version 2.0.1.2
====================================================================== */

#include <stdlib.h>

#if defined __WIN32__
#include <windows.h>
#include <winuser.h>
#endif

#include <ibase.h>
#include "rfunc.h"
#include "rmisc.h"

long	EXPORT fn_iif(ARG(long*, a), ARG(long*, b), ARG(long*, c))
ARGLIST(long *a)
ARGLIST(long *b)
ARGLIST(long *c)
{ return (*a) ? *b : *c; }

double	EXPORT fn_dif(ARG(long*, a), ARG(double*, b), ARG(double*, c))
ARGLIST(long *a)
ARGLIST(double *b)
ARGLIST(double *c)
{ return (*a) ? *b : *c; }

char*	EXPORT fn_cif(ARG(long*, a), ARG(char*, b), ARG(char*, c))
ARGLIST(long *a)
ARGLIST(char *b)
ARGLIST(char *c)
{ return (*a) ?  b :  c; }

ISC_QUAD* EXPORT fn_dtif(ARG(long*, a), ARG(ISC_QUAD*, b), ARG(ISC_QUAD*, c))
ARGLIST(long *a)
ARGLIST(ISC_QUAD *b)
ARGLIST(ISC_QUAD *c)
{
	ISC_QUAD *bufquad = (ISC_QUAD *) MALLOC (sizeof(ISC_QUAD));
	if (*a)
		*bufquad = *b;
	else
		*bufquad = *c;
	return bufquad;
}

#if defined __WIN32__
long	EXPORT fn_msgbox(ARG(char*, lpText), ARG(char*, lpCaption), ARG(long*, Flags))
ARGLIST(char *lpText)
ARGLIST(char *lpCaption)
ARGLIST(long *Flags)
{ return MessageBox(NULL, lpText, lpCaption, *Flags); }
#endif
