/*====================================================================
		rstring.h

		rFunc InterBase UDF library.
		String functions.

		Copyright 1998-2001 Polaris Software
		http://polesoft.da.ru
		mailto: rFunc@mail.ru

		Version 2.0.1.2
====================================================================== */

#ifndef _RSTRING_H
#define _RSTRING_H

unsigned char*	EXPORT fn_chr(ARG(short*, i));

short	EXPORT fn_ord(ARG(unsigned char*, s));

char*	EXPORT fn_ltrim(ARG(char*, s));
char*	EXPORT fn_rtrim(ARG(char*, s));
char*	EXPORT fn_trim(ARG(char*, s));

unsigned char*	EXPORT fn_rupper(ARG(unsigned char*, s));
unsigned char*	EXPORT fn_rlower(ARG(unsigned char*, s));
unsigned char* EXPORT fn_rlatin(ARG(unsigned char*, s));
unsigned char* EXPORT fn_rtranslit(ARG(unsigned char*, s));
unsigned char* EXPORT fn_longrtranslit(ARG(unsigned char*, s));


char*	EXPORT fn_substr(ARG(char*, s), ARG(long*, m), ARG(long*, n));

char*	EXPORT fn_strrepeat(ARG(char*, s), ARG(long*, c));
char*	EXPORT fn_longstrrepeat(ARG(char*, s), ARG(long*, c));

char*	EXPORT fn_strstuff(ARG(char*, s), ARG(long*, spos), ARG(long*, dcount), ARG(char*, is));
char*	EXPORT fn_longstrstuff(ARG(char*, s), ARG(long*, spos), ARG(long*, dcount), ARG(char*, is));

char*	EXPORT fn_strreplace(ARG(char*, s), ARG(char*, froms), ARG(char*, tos));
char*	EXPORT fn_longstrreplace(ARG(char*, s), ARG(char*, froms), ARG(char*, tos));

long	EXPORT fn_strpos(ARG(char*, str1), ARG(char*, str2));

long	EXPORT fn_strlen(ARG(char*, s));

long	EXPORT fn_strcount(ARG(char*, str1), ARG(char*, str2));

long	EXPORT fn_wordcount(ARG(char*, s), ARG(char*, delim), ARG(long*, flag));
char*	EXPORT fn_wordnum(ARG(char*, s), ARG(long*, n), ARG(char*, delim), ARG(long*, flag));

char*	EXPORT fn_padright(ARG(char*, s), ARG(short*, n), ARG(char*, c));
char*	EXPORT fn_longpadright(ARG(char*, s), ARG(short*, n), ARG(char*, c));
char*	EXPORT fn_padleft(ARG(char*, s), ARG(short*, n), ARG(char*, c));
char*	EXPORT fn_longpadleft(ARG(char*, s), ARG(short*, n), ARG(char*, c));

#endif
