/*====================================================================
		rblob.h

		rFunc InterBase UDF library.
		Blob functions.

		Copyright 1998-2001 Polaris Software
		http://polesoft.da.ru
		mailto: rFunc@mail.ru

		Version 2.0.1.2
====================================================================== */

#ifndef _RBLOB_H
#define _RBLOB_H

#include <ibase.h>

typedef struct blob {
	short	(*blob_get_segment) ();
	void	*blob_handle;
	long	blob_number_segments;
	long	blob_max_segment;
	long	blob_total_length;
	void	(*blob_put_segment) ();
} *BLOB;

/*
typedef struct blob {
	ISC_STATUS (*blob_get_segment) (
		isc_blob_handle *,
		char *,
		unsigned short,
		unsigned short *);
	isc_blob_handle *blob_handle;
	ISC_LONG blob_number_segments;
	ISC_LONG blob_max_segment;
	ISC_LONG blob_total_length;
	ISC_STATUS (*blob_put_segment) (
		isc_blob_handle *,
		char *,
		unsigned short);
} *BLOB;
*/

long EXPORT fn_b_number_segments (ARG(BLOB, b));
long EXPORT fn_b_max_segment (ARG(BLOB, b));
long EXPORT fn_b_total_length (ARG(BLOB, b));
long EXPORT fn_b_line_count (ARG(BLOB, b));

char* EXPORT fn_b_substr(ARG(BLOB, b), ARG(long*, m), ARG(long*, n));
char* EXPORT fn_b_longsubstr(ARG(BLOB, b), ARG(long*, m), ARG(long*, n));
char* EXPORT fn_b_line(ARG(BLOB, b), ARG(long*, l));
char* EXPORT fn_b_longline(ARG(BLOB, b), ARG(long*, l));

void EXPORT fn_b_put_segment(ARG(char*, s), ARG(BLOB, b));

#endif
